# CHANGELOG

## 1.0
Elkészült az első Vagrantfile, benne a kötelező 3 sorral, egy CentOS 7 OS-t indítva.
Kommentek nélkül így néz ki:
```ruby
Vagrant.configure("2") do |config|
  config.vm.box = "centos/7"
end
```
Erről írtam egy cikket [itt](https://msandor.hu/vagrant-teszt-kornyezet-villamgyorsan/).

## 2.0
Több lépésben jutottunk el a 2.0-s Vagrantfile-hoz, bővült az erőforrás (cpu, mem), kapott dedikált hálókártyát, és telepítéskor lefuttat pár parancsot is.
Kommentek nélkül így néz ki:
```ruby
Vagrant.configure("2") do |config|
  config.vm.box = "centos/7"
  config.vm.network "private_network", ip: "192.168.56.2"
  config.vm.provider "virtualbox" do |vb|
    vb.memory = "1024"
    vb.cpus = 2
  end
  config.vm.provision "shell", inline: <<-SHELL
    yum install mc epel-release httpd net-tools -y
    yum update -y --skip-broken
    systemctl enable --now httpd
  SHELL
end
```
Erről is írtam egy cikket [itt](https://msandor.hu/lepjunk-szintet-a-vagranttal/).

## 3.0
Egy nagy ugrással eljutottunk a 3.0-s Vagrantfile-hoz, hozzáadtam még 3 másik operációs rendszert is
Kommentek nélkül így néz ki:
```ruby
Vagrant.configure("2") do |config|

  config.vm.define "vm1" do |vm1|
    vm1.vm.network "private_network", ip: "192.168.56.2"
    vm1.vm.box = "centos/7"
    vm1.vm.provider "virtualbox" do |vb|
      vb.memory = "1024"
      vb.cpus = 2
    end
    vm1.vm.provision "shell", inline: <<-SHELL
      yum install mc epel-release httpd net-tools -y
      yum update -y
      systemctl enable --now httpd
      echo "vm1" > /etc/hostname
      hostname -F /etc/hostname
    SHELL
  end

  config.vm.define "vm2" do |vm2|
    vm2.vm.network "private_network", ip: "192.168.56.3"
    vm2.vm.box = "almalinux/8"
    vm2.vm.provider "virtualbox" do |vb|
      vb.memory = "1024"
      vb.cpus = 2
    end
    vm2.vm.provision "shell", inline: <<-SHELL
      dnf install mc epel-release httpd net-tools -y
      dnf update -y
      systemctl enable --now httpd
      echo "vm2" > /etc/hostname
      hostname -F /etc/hostname
    SHELL
  end

  config.vm.define "vm3" do |vm3|
    vm3.vm.network "private_network", ip: "192.168.56.4"
    vm3.vm.box = "ubuntu/jammy64"
    vm3.vm.provider "virtualbox" do |vb|
      vb.memory = "1024"
      vb.cpus = 2
    end
    vm3.vm.provision "shell", inline: <<-SHELL
      apt-get update && apt-get upgrade -y
      apt-get install mc apache2 -y
      apt-get clean
      echo "vm3" > /etc/hostname
      hostname -F /etc/hostname
    SHELL
  end

  config.vm.define "vm4" do |vm4|
    vm4.vm.network "private_network", ip: "192.168.56.5"
    vm4.vm.box = "debian/bullseye64"
    vm4.vm.provider "virtualbox" do |vb|
      vb.memory = "1024"
      vb.cpus = 2
    end
    vm4.vm.provision "shell", inline: <<-SHELL
      apt-get update && apt-get upgrade -y
      apt-get clean
      apt-get install mc apache2 -y
      echo "vm4" > /etc/hostname
      hostname -F /etc/hostname
    SHELL
  end

end
```
Erről is írtam egy cikket [itt](https://msandor.hu/vagrant-jojjon-a-labor/).
